#version 330 core

layout(location = 0)in vec2 inTexPosition;
layout(location = 1)in vec3 inColor;

uniform vec2 texRatio;

out vec3 color;

void main(void)
{
    color = inColor;
    gl_Position = vec4(inTexPosition.x*texRatio.x -1, inTexPosition.y*texRatio.y -1, 0.0, 1.0);
}
