#ifndef SIMULATION_H
#define SIMULATION_H

#include <vector>

#include <map>
#include "behavior.h"
#include "team.h"

class Map;

class Simulation
{
private:
    Map *p_map;
    std::map<int,Team> m_teams;
public:
    Simulation(Map *_map,std::vector<BehaviorFunction> _behaviors);
    void run();
};

#endif // SIMULATION_H
